DescribeDiskMonitorData

1. API Description

This API (DescribeDiskMonitorData) is used to query disk performance metrics over a specified period.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

diskId

Yes

String

Disk ID.

metricType

Yes

Disk performance metric types.

startTime

Yes

String

Start time.

Format: YYYY-MM-ddTHH:mm:ssZ .

endTime

Yes

String

End time.

Format: YYYY-MM-ddTHH:mm:ssZ .

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

maxValue

Float

Maximum value.

minValue

Float

Minimum value.

avgValue

Float

Average value.

metrics

Array of MetricValue

Information on performance metrics.

4. Code Example

Query disk performance metric of DISK_UTIL over a specified period.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated